#!/bin/sh

# HACKS!!!!
#
# Remove VALAFLAGS="--target-glib=2.50"

apt-get update
apt-get upgrade -y
apt-get install -y \
	appstream \
	autoconf \
	autoconf-archive \
	automake \
	autopoint \
	bison \
	build-essential \
	check \
	curl \
	dbus \
	dbus-x11 \
	devscripts \
	emacs \
	emacs-goodies-el \
	flex \
	gcc \
	gettext \
	git \
	gnulib \
	gobject-introspection \
	gperf \
	graphviz \
	help2man \
	imagemagick \
	indent \
	jekyll \
	jq \
	libcairo2-dev \
	libgirepository1.0-dev \
	libglib2.0-dev \
	libgtk-3-dev \
	libreadline-dev \
	libtool \
	libxml2 \
	libxml2-dev \
	libxml2-utils \
	make \
	nettle-dev \
	org-mode \
	pkg-config \
	r-cran-ggplot2 \
	r-cran-glmnet \
	r-cran-optparse \
	texinfo \
	texlive-full \
	valac \
	valgrind \
	wget \
	xsltproc

export $(dbus-launch)

SOURCE_TOP=$(pwd)
rm -rf $SOURCE_TOP/dist || exit 1
rm -rf ../tarot-*.tar.gz ../tarot-*/ tarot-*.tar.gz
sh autogen.sh VALAFLAGS="--target-glib=2.50" || exit 1
./configure \
    CFLAGS="-Wall -Wextra -g $CFLAGS" \
    VALAFLAGS="--target-glib=2.50" \
    --prefix="$SOURCE_TOP/dist" \
    --enable-valgrind=yes \
    --enable-silent-rules=yes \
    || (cat config.log ; exit 1) \
    || exit 1
(cd lib && make -j 16) || exit 1
make -j 16 CFLAGS="$CFLAGS -Werror" safe || exit 1
make -j 16 CFLAGS="$CFLAGS -Werror" distcheck || exit 1
make -j 8 CFLAGS="$CFLAGS -Werror" check || exit 1
make -j 16 CFLAGS="$CFLAGS -Werror" install install-html || exit 1
make -j 8 git-check || exit 1
cd $SOURCE_TOP || exit 1
mkdir -p $SOURCE_TOP/dist || exit 1
cp $SOURCE_TOP/.version \
   $SOURCE_TOP/dist/version || exit 1
cp tarot-*.tar.gz $SOURCE_TOP/dist/ || exit 1

if test "x$CI_COMMIT_TAG" != "x"
then
    cd $SOURCE_TOP
    TARFILE=$(ls dist/tarot-*.tar.gz)
    mkdir /root/.ssh || exit 1
    echo "$SSH_KEY" > /root/.ssh/id_rsa || exit 1
    echo "$SSH_KEY_PUB" > /root/.ssh/id_rsa.pub || exit 1
    echo "$SSH_KNOWN_HOSTS" > /root/.ssh/known_hosts || exit 1
    chmod go-rwx /root/.ssh/id_rsa || exit 1
    git config --global user.email "vivien@planete-kraus.eu" || exit 1
    git config --global user.name "Gitlab CI for the tarot package" || exit 1
    wget -O /tmp/submit https://play-tarot.frama.io/tarot-releases/submit || exit 1
    chmod ugo+x /tmp/submit || exit 1
    /tmp/submit $TARFILE || exit 1
fi
