/*
 * program_commons.h
 *
 * Copyright (C) 2019 Vivien Kraus <vivien@planete-kraus.eu>
 *
 * This program is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

#ifndef H_PROGRAM_COMMONS_INCLUDED
#define H_PROGRAM_COMMONS_INCLUDED
#include <config.h>
#include <tarot.h>
#include "gettext.h"
#include <locale.h>
#include <stdlib.h>
#include <stdio.h>
#include "xalloc.h"
#include <assert.h>
#include "getopt.h"
#include <string.h>

#define _(String) gettext (String)
#define N_(String) String

TarotGame * tarot_program_read_game (void);
void tarot_program_setup (void);
size_t tarot_strtosz (const char *str, char **end);
#endif /* not H_PROGRAM_COMMONS_INCLUDED */
